<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>

  <body>
    <h2>Task 4:</h2>
    <label id="task_4"></label>
    <br /><br />

    <h2>Task 5:</h2>
    <label id="task_5"></label>
    <br /><br />

    <h2>Task 6:</h2>
    <label id="task_6"></label>
    <br /><br />
  </body>

  <script>
    const marks = {
      section1: { alpha: 15, beta: 16 },
      section2: { alpha: -31, beta: 19 },
    };

    ///////            Test 1       ///////////
    function testObject_1() {
      let { section1, section2 } = marks;
      let result = "Giá trị thuộc tính section1 của object:  alpha:"+ section1.alpha + ",  beta: " +  section2.alpha
      document.getElementById("task_4").innerHTML = result;
      console.log("%cTask 4", "color:blue");
      console.log("giá trị thuộc tính section1 của object:", section1.alpha, section1.beta);
    }
    testObject_1();

    ///////            Test 2       ///////////
    function testObject_2() {
      let { section1, section2 } = marks;
      let result = "Giá trị thuộc tính alpha của thuộc tính section1 của object:   alpha: " + section1.alpha
      document.getElementById("task_5").innerHTML = result;
      console.log("%cTask 5", "color:blue");
      console.log(
        "giá trị thuộc tính alpha của thuộc tính section1 của object ",
        section1.alpha
      );
    }
    testObject_2();

    ///////            Test 3      ///////////
    function testObject_3() {
      var marks = { x: 21, y: -34, z: 47 };
      let { x, y, z } = marks;
      let result = "Giá trị thuộc tính y của object :"+ y
      document.getElementById("task_6").innerHTML = result;
       console.log(
        "%cTask 6",
        "color:blue"
      );
      console.log("giá trị thuộc tính y của object ", y);
    }
    testObject_3();
  </script>
</html>
